Back

    Buyamia Directory API

    v1.0

    List Businesses

    GET
    /v1/businesses

    Retrieve a paginated list of businesses with optional filters.

    businesses.read

    Query Parameters

    ParameterTypeDefaultDescription
    limitinteger20Number of results per page (max 100)
    offsetinteger0Number of results to skip
    searchstringSearch business name or description
    category_iduuidFilter by category ID
    region_iduuidFilter by region ID
    verifiedbooleanFilter by verification status
    featuredbooleanFilter featured businesses only

    Example Request

    curl "https://rjpxllsycikfabazvkdh.supabase.co/functions/v1/directory-api/v1/businesses?limit=10&search=furniture&verified=true" \
      -H "X-API-Key: your-key"

    Response

    {
      "data": [
        {
          "id": "uuid",
          "name": "PT Furniture Jaya",
          "slug": "pt-furniture-jaya",
          "description": "Premium office furniture manufacturer",
          "address": "Jl. Raya Denpasar No. 42",
          "phone": "+62812345678",
          "email": "info@furniturejaya.com",
          "website": "https://furniturejaya.com",
          "whatsapp_number": "+62812345678",
          "verified": true,
          "featured": false,
          "category_id": "uuid",
          "region_id": "uuid",
          "images": ["https://..."],
          "year_established": 2015,
          "employee_count_range": "50-100",
          "certifications": ["ISO 9001"],
          "data_quality_score": 85,
          "created_at": "2026-01-15T08:00:00Z",
          "updated_at": "2026-02-20T10:30:00Z"
        }
      ],
      "pagination": {
        "total": 342,
        "limit": 10,
        "offset": 0,
        "has_more": true
      }
    }
    Last updated on February 23, 2026